## Edit Keyless SSL Configuration `client.keylessCertificates.edit(stringkeylessCertificateId, KeylessCertificateEditParamsparams, RequestOptionsoptions?): KeylessCertificate` **patch** `/zones/{zone_id}/keyless_certificates/{keyless_certificate_id}` This will update attributes of a Keyless SSL. Consists of one or more of the following: host,name,port. ### Parameters - `keylessCertificateId: string` Identifier. - `params: KeylessCertificateEditParams` - `zone_id: string` Path param: Identifier. - `enabled?: boolean` Body param: Whether or not the Keyless SSL is on or off. - `host?: string` Body param: The keyless SSL name. - `name?: string` Body param: The keyless SSL name. - `port?: number` Body param: The keyless SSL port used to communicate between Cloudflare and the client's Keyless SSL server. - `tunnel?: Tunnel` Body param: Configuration for using Keyless SSL through a Cloudflare Tunnel - `private_ip: string` Private IP of the Key Server Host - `vnet_id: string` Cloudflare Tunnel Virtual Network ID ### Returns - `KeylessCertificate` - `id: string` Keyless certificate identifier tag. - `created_on: string` When the Keyless SSL was created. - `enabled: boolean` Whether or not the Keyless SSL is on or off. - `host: string` The keyless SSL name. - `modified_on: string` When the Keyless SSL was last modified. - `name: string` The keyless SSL name. - `permissions: Array` Available permissions for the Keyless SSL for the current user requesting the item. - `port: number` The keyless SSL port used to communicate between Cloudflare and the client's Keyless SSL server. - `status: "active" | "deleted"` Status of the Keyless SSL. - `"active"` - `"deleted"` - `tunnel?: Tunnel` Configuration for using Keyless SSL through a Cloudflare Tunnel - `private_ip: string` Private IP of the Key Server Host - `vnet_id: string` Cloudflare Tunnel Virtual Network ID ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const keylessCertificate = await client.keylessCertificates.edit( '023e105f4ecef8ad9ca31a8372d0c353', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(keylessCertificate.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "4d2844d2ce78891c34d0b6c0535a291e", "created_on": "2014-01-01T05:20:00Z", "enabled": false, "host": "example.com", "modified_on": "2014-01-01T05:20:00Z", "name": "example.com Keyless SSL", "permissions": [ "#ssl:read", "#ssl:edit" ], "port": 24008, "status": "active", "tunnel": { "private_ip": "10.0.0.1", "vnet_id": "7365377a-85a4-4390-9480-531ef7dc7a3c" } } } ```